---
title: "Reads review counts and ratings."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › review

`GET /v1/stores/{store}/reviews/stats`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `review:read`

## Path parameters

- `store` (`reviewStats.path.store`; string, required) — The store's id.

## Query parameters

- `product` (`reviewStats.query.product`; string, optional) — An id, or `slug:<slug>`.
  - minLength 1

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/reviews/stats' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/reviews/stats';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/reviews/stats"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Reads review counts and ratings.

#### Example

```json
{
  "products": 0,
  "summary": "string",
  "topics": [
    {
      "topic": "string",
      "positive": 0,
      "negative": 0
    }
  ],
  "hidden": 0,
  "count": 0,
  "average": 0,
  "histogram": {
    "1": 0,
    "2": 0,
    "3": 0,
    "4": 0,
    "5": 0
  }
}
```

- `products` (`reviewStats.response.200.products`; number, required)
- `summary` (`reviewStats.response.200.summary`; any of, required)
  - any of: `string`, `null`
- `topics` (`reviewStats.response.200.topics`; array<object>, required)
  - `topic` (`reviewStats.response.200.topics.topic`; string, required)
  - `positive` (`reviewStats.response.200.topics.positive`; number, required)
  - `negative` (`reviewStats.response.200.topics.negative`; number, required)
- `hidden` (`reviewStats.response.200.hidden`; number, required)
- `count` (`reviewStats.response.200.count`; number, required)
- `average` (`reviewStats.response.200.average`; any of, required)
  - any of: `number`, `null`
- `histogram` (`reviewStats.response.200.histogram`; object, required)
  - `1` (`reviewStats.response.200.histogram.1`; number, required)
  - `2` (`reviewStats.response.200.histogram.2`; number, required)
  - `3` (`reviewStats.response.200.histogram.3`; number, required)
  - `4` (`reviewStats.response.200.histogram.4`; number, required)
  - `5` (`reviewStats.response.200.histogram.5`; number, required)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`reviewStats.response.default.type`; string, required)
  - format `uri`
- `title` (`reviewStats.response.default.title`; string, required)
- `status` (`reviewStats.response.default.status`; integer, required)
- `detail` (`reviewStats.response.default.detail`; string, required)
- `code` (`reviewStats.response.default.code`; string, optional)
- `context` (`reviewStats.response.default.context`; object, optional)
- `reached_core` (`reviewStats.response.default.reached_core`; boolean, optional)
- `core_answer` (`reviewStats.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/review-stats/index.md
